package com.wtp.applimultipage;

import android.content.ContentValues;
import android.content.Context;
import android.database.SQLException;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.util.Log;

public class BDAcces {
	
	//  variable  BD
	private static final String INSCRIT_TABLE = "inscription";
	private static final String DATABASE_NAME = "DBmultipages";
	private static final int DATABASE_VERSION = 1;
	
	//requete creation BD
	private static final String CREATE_INSCRIT_TABLE ="CREATE TABLE inscription ("
		+"id_inscrit BIGINT PRIMARY KEY  AUTOINCREMENT,"
		+"nom_inscrit VARCHAR(150) NOT NULL,"
		+"prenom_inscrit VARCHAR(150) NOT NULL,"
		+")";
		
	//ajout galement trois attributs
	private final page1 mCtx; 
	//contient les information sur l'environnement de l'application
	//class permettant de manager la creation,et la mise  jour de la base
	public BDAcces(page1 page1) {
	 	 this.mCtx = page1;
			 
	}
	private DatabaseHelper mDbHelper;
	//class d'action sur notre base
	private SQLiteDatabase mDb;
	private static final String TAG = "BDAcces";
	//cration de la classe DatabaseHelper
	private static class DatabaseHelper extends SQLiteOpenHelper {
	 
	

	public DatabaseHelper(page1 ctx) {
		//ouverture ou creation de la base si elle n'existe pas	
		super(ctx, DATABASE_NAME, null, DATABASE_VERSION);
	}

	@Override
		public void onCreate(SQLiteDatabase db) {
		db.execSQL(CREATE_INSCRIT_TABLE);
					
		}
	@Override
		public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
		//methode permettant une mise  jour de la BD
		Log.w(TAG, "Upgrading database from version " + oldVersion + " to "
				+ newVersion + ", which will destroy all old data");
				db.execSQL("DROP TABLE IF EXISTS "+INSCRIT_TABLE);
				onCreate(db);
	}
	}
	public void open() throws SQLException
	{
	mDbHelper = new DatabaseHelper(mCtx);
	mDb = mDbHelper.getWritableDatabase();
	}
	 
	public void close()
	{
	mDbHelper.close();
	}
	 
	public long insertInscrit(String snominscrit, String sprenominscrit)
	{
	ContentValues initialValues = new ContentValues();
	initialValues.put("nom_inscrit", snominscrit);
	initialValues.put("prenom_inscrit", sprenominscrit);
	return mDb.insert(INSCRIT_TABLE, null, initialValues);
	}

}
